Pnmtoxwd User Manual(0)

NAME
pnmtoxwd - convert a PNM into an X11 window dump

SYNOPSIS
pnmtoxwd [-pseudodepth n] [-directcolor] [pnmfile]

DESCRIPTION

This program is part of Netpbm(1)

pnmtoxwd reads a PNM image as input and produces an X11 window dump as output. You can display this output with xwud.

Normally, pnmtoxwd produces a StaticGray dump file for PBM and PGM files. For PPM, it writes a PseudoColor dump file if there are up to 256 colors in the input, and a DirectColor dump file otherwise. You can use the -directcolor option to force a DirectColor dump. And you can use -pseudodepth to change the depth of PseudoColor dumps from the default of 8 bits / 256 colors.

In an X11 window dump file, various integers can be represented in either big endian (most significant byte first) or little endian code. Those generated by pnmtoxwd are always big endian.

SEE ALSO
xwdtopnm(1) , pnm(5) , xwud

AUTHOR
Copyright (C) 1989, 1991 by Jef Poskanzer.